Skip to main content
`Ctrl`+`K`

# PetscInfoCommFlag

Describes the method by which to filter information displayed by `PetscInfo()` by communicator size

## Synopsis

    typedef enum {
      PETSC_INFO_COMM_ALL       = -1,
      PETSC_INFO_COMM_NO_SELF   = 0,
      PETSC_INFO_COMM_ONLY_SELF = 1
    } PetscInfoCommFlag;

## Values

- `PETSC_INFO_COMM_ALL` - Default uninitialized value. `PetscInfo()` will not filter based on communicator size (i.e. will print for all communicators)

- `PETSC_INFO_COMM_NO_SELF` - `PetscInfo()` will NOT print for communicators with size = 1 (i.e. *_COMM_SELF)

- `PETSC_INFO_COMM_ONLY_SELF` - `PetscInfo()` will ONLY print for communicators with size = 1

## Note

Used as an input for `PetscInfoSetFilterCommSelf()`

## See Also

`PetscInfo()`, `PetscInfoSetFromOptions()`, `PetscInfoSetFilterCommSelf()`

## Level

intermediate

## Location

include/petsclog.h

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages